<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: ant.h File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">ant.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="ant_8h__dep__incl.png" border="0" usemap="#ant_8hdep" alt=""/></div>
<map name="ant_8hdep" id="ant_8hdep">
<area shape="rect" id="node2" href="antthread_8h.html" title="antthread.h" alt="" coords="177,80,263,107"/>
<area shape="rect" id="node4" href="antwin_8h.html" title="antwin.h" alt="" coords="289,155,359,181"/>
<area shape="rect" id="node3" href="antthread_8cpp.html" title="antthread.cpp" alt="" coords="5,155,107,181"/>
<area shape="rect" id="node8" href="moc__antthread_8cpp.html" title="moc_antthread.cpp" alt="" coords="131,155,264,181"/>
<area shape="rect" id="node5" href="antwin_8cpp.html" title="antwin.cpp" alt="" coords="177,229,263,256"/>
<area shape="rect" id="node6" href="main_8cpp.html" title="main.cpp" alt="" coords="287,229,361,256"/>
<area shape="rect" id="node7" href="moc__antwin_8cpp.html" title="moc_antwin.cpp" alt="" coords="385,229,503,256"/>
</map>
</div>
</div>
<p><a href="ant_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classAnt.html">Ant</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:aec6851c40fb4deaad9f1fdb5b1c5ec28"><td class="memItemLeft" align="right" valign="top">typedef std::vector&lt; <a class="el" href="classAnt.html">Ant</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="ant_8h.html#aec6851c40fb4deaad9f1fdb5b1c5ec28">Ants</a></td></tr>
<tr class="separator:aec6851c40fb4deaad9f1fdb5b1c5ec28"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="aec6851c40fb4deaad9f1fdb5b1c5ec28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec6851c40fb4deaad9f1fdb5b1c5ec28">&#9670;&nbsp;</a></span>Ants</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef std::vector&lt;<a class="el" href="classAnt.html">Ant</a>&gt; <a class="el" href="ant_8h.html#aec6851c40fb4deaad9f1fdb5b1c5ec28">Ants</a></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
